import { FC } from 'react';
import { FieldConfig } from 'formik';
import { DurationInputProps } from 'practical-react-components-core';
export interface FormikDurationInputProps extends Omit<DurationInputProps, 'name' | 'value' | 'onChange'>, Partial<Pick<DurationInputProps, 'value' | 'onChange'>>, Pick<FieldConfig, 'name' | 'validate'> {
}
export declare const FormikDurationInput: FC<FormikDurationInputProps>;
export declare const FormikDurationInputField: FC<FormikDurationInputProps & import("practical-react-components-core").FieldProps>;
