/// <reference types="react" />
import { FieldConfig } from 'formik';
import { FieldProps, RadioButtonGroupProps } from 'practical-react-components-core';
export interface FormikRadioButtonGroupProps<V extends string = string> extends Omit<RadioButtonGroupProps<V>, 'name' | 'value'>, Partial<Pick<RadioButtonGroupProps<V>, 'value'>>, Pick<FieldConfig, 'name' | 'validate'> {
}
export declare function FormikRadioButtonGroup<V extends string = string>({ name, validate, ...props }: FormikRadioButtonGroupProps<V>): JSX.Element;
export declare const FormikRadioButtonGroupField: <V extends string = string>(props: FieldProps & FormikRadioButtonGroupProps<V>) => import("react").ReactElement<any, any> | null;
