/// <reference types="react" />
import { FieldConfig } from 'formik';
import { SelectProps, FieldProps } from 'practical-react-components-core';
export interface FormikSearchSelectProps<V extends string = string> extends Omit<SelectProps<V>, 'name' | 'value'>, Partial<Pick<SelectProps<V>, 'value'>>, Pick<FieldConfig, 'name' | 'validate'> {
}
export declare function FormikSearchSelect<V extends string = string>({ name, validate, ...props }: FormikSearchSelectProps<V>): JSX.Element;
export declare const FormikSearchSelectField: <V extends string = string>(props: FieldProps & FormikSearchSelectProps<V>) => import("react").ReactElement<any, any> | null;
