import { FC } from 'react';
import { FieldConfig } from 'formik';
import { TextAreaProps } from 'practical-react-components-core';
export interface FormikTextAreaProps extends Omit<TextAreaProps, 'name' | 'value'>, Partial<Pick<TextAreaProps, 'value'>>, Pick<FieldConfig, 'name' | 'validate'> {
}
export declare const FormikTextArea: FC<FormikTextAreaProps>;
export declare const FormikTextAreaField: FC<FormikTextAreaProps & import("practical-react-components-core").FieldProps>;
